<?php
declare(strict_types = 1);

class_exists('DB') || die;

require_once(__DIR__ . '/classes/AdminPages.class.php');

template:
{
	$page = strpos($_GET['q'], 'custom') ? 'custom' : substr($_GET['q'], 5);
	AdminPages::tplSection('page_' . $page);
}

$page = $page == 'custom' ? $page . '_' . $_GET['custom_id'] : $page;

update:
{
	AdminPages::updatePageParams($page);
}

get_data:
{
	AdminPages::getPageParams($page);
}
?>